For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
HomeGuidesAPI ReferenceGlossary
HomeGuidesAPI ReferenceGlossary
  • API Reference
      • GETGet All Groups
      • POSTCreate Group
      • GETGet Group
      • POSTUpdate Group
      • DELDelete Group
      • POSTGenerate JWT Token
      • POSTAdd Entities
      • POSTRemove Entities
        • GETSearch Group Users
        • POSTCreate Group User
        • GETGet Group User
        • POSTUpdate Group User
        • DELDelete Group User
        • POSTGenerate JWT Token
        • POSTSync Group Users
Logo
Sign inBook a demo
API ReferenceEntity GroupUser

Get Group User

GET
https://api.mercoa.com/entityGroup/:entityGroupId/user/:foreignId
GET
/entityGroup/:entityGroupId/user/:foreignId
$curl https://api.mercoa.com/entityGroup/entg_8545a84e-a45f-41bf-bdf1-33b42a55812c/user/MY-DB-ID-12345 \
> -H "Authorization: Bearer <token>"
1{
2 "foreignId": "MY-DB-ID-12345",
3 "entities": [
4 {
5 "entityId": "ent_21661ac1-a2a8-4465-a6c0-64474ba8181d",
6 "id": "user_ec3aafc8-ea86-408a-a6c1-545497badbbb",
7 "roles": [
8 "admin",
9 "approver"
10 ]
11 },
12 {
13 "entityId": "ent_9e02a20e-7749-47de-8d8a-f8ff2859fa90",
14 "id": "user_3a3aafc8-ea86-408a-a6c1-545497badbbb",
15 "roles": [
16 "viewer"
17 ]
18 }
19 ],
20 "createdAt": "2024-01-01T00:00:00Z",
21 "updatedAt": "2024-01-01T00:00:00Z",
22 "email": "john.doe@acme.com",
23 "name": "John Doe"
24}
Get entity user from a group
Was this page helpful?
Previous

Update Group User

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

entityGroupIdstringRequired
Entity Group ID or Entity Group ForeignID
foreignIdstringRequired
ID used to identify user in your system

Response

This endpoint returns an object.
foreignIdstring
The ID used to identify this user in your system.
entitieslist of objects
List of roles per entity.
createdAtdatetime
updatedAtdatetime
emailstring
namestring

Errors

400
Bad Request
401
Unauthorized
403
Forbidden
404
Not Found
409
Conflict
500
Internal Server Error
501
Unimplemented